import org.junit.Assert;
import org.junit.Test;
import static org.junit.Assert.*;

public class MyArrayListTest <T> {

    @Test
    public void testAdd(){
       Integer[] inputArray = new Integer[]{0, 1, 2};
       MyArrayList myArrayList = new MyArrayList(inputArray);
       Object[] expected = {0, 1, 2, 9};
       Integer value = 9;
       Object[] actual = myArrayList.add(value);
       assertArrayEquals(expected, actual);

    }

    @Test
    public void testRemove(){
        Integer[] inputArray = new Integer[]{0, 1, 2, 9};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        Object[] expected = {0, 1, 2};
        Object[] actual = myArrayList.remove(3);
        assertArrayEquals(expected, actual);
    }

    @Test
    public void testGet(){
        Integer[] inputArray = new Integer[]{0, 1, 2};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        Object expected = 2;
        Object actual = myArrayList.get(2);
        assertEquals(expected, actual);

    }

    @Test
    public void testSet(){
        Integer[] inputArray = new Integer[]{0, 1, 2};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        Object[] expected = {0, 1, 9};
        Object[] actual = myArrayList.set(2, 9);
        assertArrayEquals(expected, actual);
    }

    @Test
    public void testClear(){
        Integer[] inputArray = new Integer[]{0, 1, 2};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        Object[] expected = {};
        Object[] actual = myArrayList.clear();
        assertArrayEquals(expected, actual);
    }

    @Test
    public void testIsEmpty(){
        Integer[] inputArray = new Integer[]{};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        boolean actual = myArrayList.isEmpty();
        Assert.assertTrue(actual);
    }

    @Test
    public void testContains(){
        int j = 1;
        Integer[] inputArray = new Integer[]{0, 1, 2, 9};
        MyArrayList myArrayList = new MyArrayList(inputArray);
        boolean actual = myArrayList.contains(j);
        Assert.assertTrue(actual);
    }

}